顯示下列標籤的問題: 顯示所有問題
  • 封存

WebRTC communication failure

Hi, We are using firefox as the browser client for a webrtc based video streaming application. The other client is Gstreamer webrtcbin. The communication works fine with… (閱讀更多)

Hi,

We are using firefox as the browser client for a webrtc based video streaming application. The other client is Gstreamer webrtcbin. The communication works fine with FIPS mode disabled, but it fails when we enable FIPS as part of security. The Gstreamer client sends an SDP offer to the firefox browser client, but it fails to create an answer and respond back. The WebAPI (RTCPeerConnection.createOffer) fails with below exception at application code.

"UnknownError: The operation failed for an unknown transient reason"

Also, tried to check some failure message in browser log and found as below. Not sure if it is related to the failure.

NS_ERROR_ILLEGAL_VALUE: Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsICryptoHash.init]


System setup:


OS - OpenSUSE 15 SP3 Firefox version - 78.13.0esr (we also tried with version 91.10.0esr)


Any quick help will be much appreciated as we are stuck with this.

Thanks, Saurav

saurav.tce 於 1 年前 詢問

saurav.tce 最近回覆於 1 年前

  • 封存

Firefox update(s) for SUSE Linux

I have Firefox 50.1.0 on openSUSE 13.1 Linux (KDE desktop). This is the last update from openSUSE, but is now deprecated by some websites. I am reluctant to download a re… (閱讀更多)

I have Firefox 50.1.0 on openSUSE 13.1 Linux (KDE desktop). This is the last update from openSUSE, but is now deprecated by some websites. I am reluctant to download a recent Firefox version without knowing in advance that it will work under SUSE 13.1. I am familiar with 13.1 and reluctant to update that, merely to run a new version of Firefox, as it will create complications with my multi-boot system, which includes a MSDOS 6 partition for legacy software (it took me ages to get GRUB configured to load that reliably and I'm not sure I could do it again).

Please advise what is the latest version of Firefox that will run under my elderly version of Linux and how to obtain and install it (I am not an expert Linux command line user). I am using Firefox 106.0.3 under Windows 7 to send this to you (multi-boot system), because I could not sign up with 50.1.0.

willowby 於 1 年前 詢問

jonzn4SUSE 最近回覆於 1 年前

YouTube line spacing is broken on Firefox (but not on other browsers - eg Vivaldi)

For the last few months YouTube appears to have broken CSS and text in multi-line blocks is broken and overlaps. I'd guess this is only for text that auto line wraps. Th… (閱讀更多)

For the last few months YouTube appears to have broken CSS and text in multi-line blocks is broken and overlaps. I'd guess this is only for text that auto line wraps. The example screenshot is of a pseudo dialog but the problem is everywhere on multi-line text in YouTube.

I'm running Firefox 124.0.2 (64-bit) on Operating System: openSUSE Tumbleweed 20240419 KDE Plasma Version: 6.0.4 KDE Frameworks Version: 6.1.0 Qt Version: 6.7.0 Kernel Version: 6.8.7-1-default (64-bit) Graphics Platform: Wayland Processors: 32 × 13th Gen Intel® Core™ i9-13900K Memory: 62.6 GiB of RAM Graphics Processor: AMD Radeon RX 6650 XT Manufacturer: Gigabyte Technology Co., Ltd. Product Name: Z790 AORUS ELITE AX

noh.spam 於 2 個月前 詢問

zeroknight 最近回覆於 2 個月前